package com.cisco.cuic.api.examples;

import com.cisco.cuic.api.client.CuicServer;
import com.cisco.cuic.api.models.UserAPIAPICContainer;
import com.cisco.cuic.api.models.apic.APICDeleteContractParams;

public class DeleteContract {

	public static void main(String[] args) throws Exception {
		CuicServer api = CuicServer.getAPI("172.22.234.243", "CF87FA987C8F4BBF814F2BB68CA6A823", "http", 80);

		UserAPIAPICContainer instance = new UserAPIAPICContainer(api);
		
		APICDeleteContractParams param=new APICDeleteContractParams();
		param.setDestNetwork("app");
		param.setRuleId("Rule123");
		param.setSrcNetwork("web");
		
		
		int requestId=instance.userAPIDeleteContract(param);
		System.out.println(requestId);


	}

}
