package com.cisco.cuic.api.examples;

import com.cisco.cuic.api.client.CuicServer;
import com.cisco.cuic.api.models.UserAPIVMware;
import com.cisco.cuic.api.models.vmware.LinuxVMParams;
import com.cisco.cuic.api.models.vmware.ServiceDeliveryPolicyRequestParam;
import com.cisco.cuic.api.models.vmware.WindowsVMParams;

public class DeleteSystemPolicyTest {

	public static void main(String[] args) throws Exception {
		CuicServer api = CuicServer.getAPI("172.29.110.194", "6BF80FA2C71E4844AFEB3877CFD60621", "http", 80);

		UserAPIVMware instance = new UserAPIVMware(api);

		ServiceDeliveryPolicyRequestParam service = new ServiceDeliveryPolicyRequestParam();
		service.setPolicyName("test23423");

		boolean policy = instance.userAPIDeleteVMwareSystemPolicy(service);
		System.out.println(policy);

	}

}
