package com.cisco.cuic.api.examples;

import com.cisco.cuic.api.client.APIGroup;
import com.cisco.cuic.api.client.CuicServer;
import com.cisco.cuic.api.models.UserAPIGlobal;

public class TestuserAPICreateGroup {

	public static void main(String[] args) throws Exception {
		
		CuicServer server = CuicServer.getAPI("172.29.110.222", "6F0063A7F7654561A790EACCE1E8626F", "https", 443);
		UserAPIGlobal instance = new UserAPIGlobal(server);
		int groupId;
		APIGroup apiGroup = new  APIGroup();
		apiGroup.setGroupName("custom_group_2"); //Mandatory
		apiGroup.setEmailAddress("cugroup@cisco.com"); //Mandatory
		apiGroup.setGroupType(0); //Optional- can accept either 0 or 1; by default 0. 
		apiGroup.setParentGroupId(2); //Optional
		apiGroup.setParentGroupName("MSP ORG 1"); //Optional
		apiGroup.setFirstName("John"); //Optional
		apiGroup.setLastName("Carry"); //Optional
		apiGroup.setAddress("City-204"); //Optional
		apiGroup.setDescription("This is custom_group_2"); //Optional
		apiGroup.setPhoneNumber("123456789"); //Optional
		
		groupId = instance.userAPICreateGroup(apiGroup);
		System.out.println("Group Id for the group created: "+groupId);
		

	}

}
