package com.cisco.cuic.api.examples;

import com.cisco.cuic.api.models.UserAPIGlobal;
import com.cisco.cuic.api.client.CuicServer;
import com.cisco.cuic.api.client.APIProvisionParams;

public class TestuserAPIProvisionRequest {

	public static void main(String[] args) {
		CuicServer server = CuicServer.getAPI("172.29.110.222", "6F0063A7F7654561A790EACCE1E8626F", "https", 443);
		UserAPIGlobal instance = new UserAPIGlobal(server);
		APIProvisionParams params=new APIProvisionParams();
		int srId;
		params.setCatalogName("catalog_1");
		params.setVdcName("vdc_1");
		params.setUserID("admin");
		String selectedDiskDataStore="[{'diskName':'Hard disk 1','diskSize':'5','datastore':'QA_DS01','diskType':'0'},{'diskName':'Hard disk 2','diskSize':'-1','datastore':'QA_DS01','diskType':'0'}]";
		params.setSelectedDiskDataStore(selectedDiskDataStore); //Optional
		 
		 try {
			srId=instance.userAPIProvisionRequest(params);
			System.out.println("Service Request Id for VM provision request = "+srId);
		} catch (Exception e) {
			
			e.printStackTrace();
		}
		 
		
	}

}
