package com.cisco.cuic.api.examples;

import com.cisco.cuic.api.client.CuicServer;
import com.cisco.cuic.api.models.UserAPIAPICContainer;
import com.cisco.cuic.api.models.apic.APIAPICAddTierToContainerParams;

public class AddTierToContainerVM {

	public static void main(String[] args)throws Exception {
		CuicServer api = CuicServer.getAPI("172.22.234.243", "CF87FA987C8F4BBF814F2BB68CA6A823", "http", 80);

		UserAPIAPICContainer instance = new UserAPIAPICContainer(api);
		
		APIAPICAddTierToContainerParams param=new APIAPICAddTierToContainerParams();
		param.setContainerId(2);
		param.setIsolated(false);
		param.setParentTierName("");
		param.setTierLabel("apps");
		param.setTierName("apps");
		
		
		int requestId=instance.userAPIAddTierToContainerVM(param);
		System.out.println(requestId);
		

	}

}
