package com.cisco.cuic.api.examples;

import com.cisco.cuic.api.client.CuicServer;
import com.cisco.cuic.api.models.UserAPIAPICContainer;
import com.cisco.cuic.api.models.apic.APIAPICAddvNICToContainerVMParams;

public class AddvNICToContainerVM {

	public static void main(String[] args)throws Exception {
		CuicServer api = CuicServer.getAPI("172.22.234.243", "CF87FA987C8F4BBF814F2BB68CA6A823", "http", 80);

		UserAPIAPICContainer instance = new UserAPIAPICContainer(api);
		
		APIAPICAddvNICToContainerVMParams param=new APIAPICAddvNICToContainerVMParams();
		param.setContainerId("2");
		param.setNetworkName("Con");
		param.setVmId("1");
		param.setVmUsername("root");
		param.setVmPassword("cloupia123");
		
		int requestId=instance.userAPIAddvNICToContainerVM(param);
		System.out.println(requestId);
		

	}

}
