package com.cisco.cuic.api.examples;

import com.cisco.cuic.api.client.CuicServer;
import com.cisco.cuic.api.models.UserAPIAPICContainer;
import com.cisco.cuic.api.models.apic.APICCreateContractParams;

public class CreateContract {

	public static void main(String[] args)throws Exception {
		CuicServer api = CuicServer.getAPI("172.22.234.243", "CF87FA987C8F4BBF814F2BB68CA6A823", "http", 80);

		UserAPIAPICContainer instance = new UserAPIAPICContainer(api);
		
		APICCreateContractParams param=new APICCreateContractParams();
		param.setContainerId(2);
		param.setApplyBothDirections(true);
		param.setCreateRule(true);
		param.setDestinationPortEnd("40");
		param.setDestinationPortStart("30");
		param.setDestNetwork("app");
		param.setSourceNetwork("web");
		param.setEnableStatefull(true);
		param.setFireallAction(100);
		param.setProtocol("TCP");
		param.setRuleDescription("sdk");
		param.setRuleName("Rule123");
		param.setSourcePortend("20");
		param.setSourcePortStart("10");
		
		
		int requestId=instance.userAPICreateContract(param);
		System.out.println(requestId);

	}


}
