package com.cisco.cuic.api.examples;

import java.util.List;
import java.util.Map;
import java.util.Set;

import com.cisco.cuic.api.client.APIGroup;
import com.cisco.cuic.api.client.APITabularReport;
import com.cisco.cuic.api.client.CuicServer;
import com.cisco.cuic.api.models.UserAPIGlobal;

public class TestUserAPIGetAllGroups {

	public static void main(String[] args) throws Exception {
		
		CuicServer server = CuicServer.getAPI("172.22.234.172", "91E7A134048F45FD88A29FCBBFD2C233", "https", 443);
		UserAPIGlobal instance = new UserAPIGlobal(server);
		APITabularReport report =  instance.userAPIGetAllGroups();
		List<Map<String,Object >> data = report.getRows();
		server.printObject(report);
	}
}
