package com.cisco.cuic.api.examples;

import com.cisco.cuic.api.client.CuicServer;
import com.cisco.cuic.api.models.accounts.AddGroupConfig;
import com.cisco.cuic.api.models.accounts.AddGroupConfigResponse;

public class TestgroupCreateXMLAPI {

	public static void main(String[] args) throws Exception {
		CuicServer server = CuicServer.getAPI("172.29.110.222", "6F0063A7F7654561A790EACCE1E8626F", "https", 443);
		AddGroupConfig instance = new AddGroupConfig(server);
		instance.setGroupName("custom_group_5");//Mandatory
		instance.setGroupDescription("This is custom_group_5"); //Optional
		instance.setParentGroup("2"); //Optional
		instance.setGroupCode("cug_5"); //Optional
		instance.setFirstName("John"); //Optional
		instance.setLastName("Kerry"); //Optional
		instance.setGroupContact("cug_5@cisco.com");//Mandatory
		instance.setAddress("City-401"); //Optional
		instance.setAllowPrivateUsers(true); //Optional
		instance.setGroupSharePolicyId("group_share_policy_1"); //Optional
		instance.setPhone("1234567"); //Optional
		AddGroupConfigResponse groupReponse = instance.execute();
		System.out.println("Group Id for the group created: "+groupReponse.getOUTPUT_GROUP_ID());

	}

}
