package com.cisco.cuic.api.examples;

import com.cisco.cuic.api.client.CuicServer;
import com.cisco.cuic.api.models.UserAPIAuthConfig;
import com.cisco.cuic.api.models.authConfig.APIMSPModeParams;

public class ToggleMspModeTest {
	public static void main(String[] args) throws Exception {
		CuicServer api = CuicServer.getAPI("172.29.110.241", "3E17CFFBA7A64C71B8958F40DE2EC9B3", "http", 80);

		UserAPIAuthConfig instance = new UserAPIAuthConfig(api);
		APIMSPModeParams params = new APIMSPModeParams();
		params.setAction(true);
		params.setTenantName("MSP Users");
		params.setOrgName("MSP Organization");

		String result = instance.userAPIToggleMspMode(params);
		System.out.println("Result: " + result);
	}

}
